%define		_status		stable
%define		_pearname	XML_HTMLSax
%include	/usr/lib/rpm/macros.php
Summary:	%{_pearname} - a SAX based parser for HTML and other badly formed XML documents
Summary(pl.UTF-8):	%{_pearname} - analizator SAX dla HTML-a i innych źle sformułowanych dokumentów XML
Name:		php-pear-%{_pearname}
Version:	3.0.0
Release:	8
License:	PHP
Group:		Development/Languages/PHP
Source0:	http://pear.php.net/get/%{_pearname}-%{version}.tgz
# Source0-md5:	73b75ef6d68c74115b6da8d151293633
URL:		http://pear.php.net/package/XML_HTMLSax/
BuildRequires:	php-pear-PEAR
BuildRequires:	rpm-php-pearprov >= 4.4.2-11
BuildRequires:	rpmbuild(macros) >= 1.300
Requires:	php(core) >= 4.0.5
Requires:	php-pear
Obsoletes:	php-pear-XML_HTMLSax-tests
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
XML_HTMLSax is a SAX based XML parser for badly formed XML documents,
such as HTML. The original code base was developed by Alexander Zhukov
and published at http://sourceforge.net/projects/phpshelve/, who in
turn was inspired by the Python HTMLSax package. Alexander kindly gave
permission to modify the code and license for inclusion in PEAR.
PEAR::XML_HTMLSax takes the last release from Sourceforge
(HTMLSax2002082201) and changes the API to make using HTMLSax very
similar to using the native PHP Expat extension, opening it up for use
with projects like SAX filters:
http://phpxmlclasses.sourceforge.net/show_doc.php?class=class_sax_filters.html.
This version also fixes some bugs and adds further features such as
the ability to handle processing instructions and JSP/ASP markup.

In PEAR status of this package is: %{_status}.

%description -l pl.UTF-8
XML_HTMLSax to oparty na SAX analizator XML-a dla źle sformułowanych
dokumentów XML, takich jak HTML. Oryginalny kod został stworzony przez
Alexandra Zhukova i opublikowany pod
http://sourceforge.net/projects/phpshelve/, który z kolei był
inspirowany pakietem HTMLSax dla Pythona. Alexander pozwolił na
modyfikowanie kodu i licencjonowanie do włączenia do PEAR.
PEAR::XML_HTMLSax wywodzi się z ostatniej wersji z Sourceforge
(HTMLSax2002082201) i ma zmienione API, aby można było używać HTMLSax
bardzo podobnie do natywnego rozszerzenia PHP Expat, pozwalając na
używanie w projektach typu filtry SAX:
http://phpxmlclasses.sourceforge.net/show_doc.php?class=class_sax_filters.html.
Ta wersja dodatkowo poprawia kilka błędów i dodaje nowe możliwości,
takie jak obsługa przetwarzania instrukcji i znaczników JSP/ASP.

Ta klasa ma w PEAR status: %{_status}.

%prep
%pear_package_setup

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{php_pear_dir}
%pear_package_install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc install.log
%doc docs/%{_pearname}/*
%dir %{php_pear_dir}/XML/HTMLSax
%{php_pear_dir}/.registry/*.reg
%{php_pear_dir}/XML/*.php
%{php_pear_dir}/XML/HTMLSax/*.php
%changelog
* Sun Aug 26 2012 Elan Ruusamäe <glen@delfi.ee> 958925d
- use php(core) for php engine version deps
- release 7 (by relup.sh)

* Tue Mar 01 2011 Elan Ruusamäe <glen@pld-linux.org> d27cbbc
- release 7

* Sun Jan 23 2011 sparky <sparky@pld-linux.org> f7d3eb3
- dropped -tests subpackage

* Sat Aug 21 2010 Elan Ruusamäe <glen@pld-linux.org> 271ccec
- updated deps with pearize.sh
- release 6

* Thu Jan 31 2008 Elan Ruusamäe <glen@pld-linux.org> 315be1a
- rel 5

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> d788258
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 45927db
- converted to UTF-8

* Tue May 23 2006 Elan Ruusamäe <glen@pld-linux.org> 884b2b6
- BR rpm-build macros >= 1.300 for %pear_ macros

* Sun Apr 02 2006 Elan Ruusamäe <glen@pld-linux.org> bb8b425
- AutoProv: no for -tests

* Wed Mar 29 2006 Elan Ruusamäe <glen@pld-linux.org> e4798e9
- rel 4 (rebuild with less deps)

* Tue Mar 07 2006 Elan Ruusamäe <glen@pld-linux.org> 91d5120
- BR php-pear-PEAR

* Mon Feb 20 2006 Elan Ruusamäe <glen@pld-linux.org> 5dc7843
- group Development/Languages/PHP for -tests

* Thu Oct 27 2005 Jakub Bogusz <qboosh@pld-linux.org> 9ceb25a
- define Epoch to 0 explicitly when using it

* Wed Oct 05 2005 Elan Ruusamäe <glen@pld-linux.org> e72d3d1
- rel 3

* Mon Oct 03 2005 Elan Ruusamäe <glen@pld-linux.org> 4d6523f
- semi automatically added deps from pear

* Sat Oct 01 2005 Elan Ruusamäe <glen@pld-linux.org> 6183757
- new pear packaging

* Sat Dec 04 2004 Adam Gołębiowski <adamg@pld-linux.org> 8251ea4
- rebuild with new PEAR provides/requires scripts
- release 2

* Sun May 30 2004 Adam Gołębiowski <adamg@pld-linux.org> c75d3da
- fixed english information about status of the package

* Fri May 28 2004 Adam Gołębiowski <adamg@pld-linux.org> db6c31f
- updated to 3.0.0

* Mon Mar 15 2004 ankry <ankry@pld-linux.org> 6072d85
- massive cosmetics

